## pluginhook 0~20150216.0~a320158

=== Makefile ===
VERSION = 0.1.1

build: pluginhook

pluginhook:
	go build -o pluginhook
	GOOS=linux go build -o pluginhook.linux

test: build
	PLUGIN_PATH=./tests/plugins BIN=./pluginhook tests/run_tests.sh

package: test build
	rm -rf package
	mkdir -p package/bin
	mv pluginhook.linux package/bin/pluginhook
	cd package && fpm -s dir -t deb -n pluginhook -v ${VERSION} --prefix /usr/local bin

release: package
	s3cmd -P put package/pluginhook_${VERSION}_amd64.deb s3://progrium-pluginhook

=== debian/changelog ===
pluginhook (0~20150216.0~a320158-2.1) unstable; urgency=medium

  * Non-maintainer upload.
    - Replace golang-go.crypto-dev with golang-golang-x-crypto-dev
      in Build-Depends. (Closes: #902959)
    - Bump Standards-Version to 4.3.0

    debian/control:
      - Changed Priority from extra to optional, since the priority
        extra has been deprecated in Debian Policy version 4.0.1.

    debian/rules:
      - override_auto_build to build in PIE mode, fixing the lintian
        warnings: hardening-no-relro and hardening-no-pie.

 -- Keng-Yu Lin <kengyu@lexical.tw>  Tue, 28 May 2019 15:47:36 +0800

pluginhook (0~20150216.0~a320158-2) unstable; urgency=medium

  * Fix crypto's sub-repo import path (Closes: #790681)
  * Add gbp.conf

 -- Alessio Treglia <alessio@debian.org>  Wed, 01 Jul 2015 08:31:27 +0100

pluginhook (0~20150216.0~a320158-1) unstable; urgency=medium

  * Initial release. (Closes: #778484)

 -- Alessio Treglia <alessio@debian.org>  Sat, 14 Feb 2015 16:36:13 +0000

=== debian/control ===
Source: pluginhook
Section: utils
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-golang,
 golang-go,
 golang-golang-x-crypto-dev,
 golang-godebiancontrol-dev
Standards-Version: 4.3.0
Homepage: http://github.com/progrium/pluginhook

Package: pluginhook
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: simple plugin system for Bash programs
 The pluginhook command loops through all plugin directories found in the
 path defined by the environment variable PLUGIN_PATH and passes the same
 arguments to any hook scripts by that name. This means installing a
 plugin is as simple as putting it in your PLUGIN_PATH.
 .
 pluginhook does not only provide a mechanism for arguments broadcasting,
 it also accepts streams and pass them through each plugin.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DH_VERBOSE=1
export DH_GOPKG := github.com/progrium/pluginhook

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -buildmode=pie

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/pluginhook/usr/share

get-orig-source:
	debian/get-git-source.sh
